Description: Add FreeDoom to vlaunch menu
 this patch adds freedoom to vlaunch's menu.
Author: gustavo panizzo <gfa@zumbi.com.ar>
Bug-Debian: http://bugs.debian.org/661233
Last-Update: 2012-02-28

--- vavoom-1.33.orig/utils/vlaunch/vlaunch.cpp
+++ vavoom-1.33/utils/vlaunch/vlaunch.cpp
@@ -153,16 +153,17 @@ VMain::VMain()
 	gsizer->Add(new wxStaticText(page, -1, wxT(" ")), 0, wxALL, 4);
 
 	gsizer->Add(new wxStaticText(page, -1, wxT("Game:")), 0, wxALL, 4);
-	wxString GameChoices[8];
+	wxString GameChoices[9];
 	GameChoices[0] = wxT("(Autodetect)");
 	GameChoices[1] = wxT("Doom");
 	GameChoices[2] = wxT("Doom 2: Hell On Earth");
 	GameChoices[3] = wxT("Doom 2: TNT Evilution");
 	GameChoices[4] = wxT("Doom 2: The Plutonia Experiment");
-	GameChoices[5] = wxT("Heretic");
-	GameChoices[6] = wxT("Hexen");
-	GameChoices[7] = wxT("Strife");
-	Game = new wxComboBox(page, -1, GameChoices[0], wxDefaultPosition, wxDefaultSize, 8, GameChoices, wxCB_READONLY);
+	GameChoices[5] = wxT("FreeDoom");
+	GameChoices[6] = wxT("Heretic");
+	GameChoices[7] = wxT("Hexen");
+	GameChoices[8] = wxT("Strife");
+	Game = new wxComboBox(page, -1, GameChoices[0], wxDefaultPosition, wxDefaultSize, 9, GameChoices, wxCB_READONLY);
 	gsizer->Add(Game, 0, wxALL, 4);
 
 	gsizer->Add(new wxStaticText(page, -1, wxT("Custom game:")), 0, wxALL, 4);
@@ -443,13 +444,16 @@ void VMain::OnRun(wxCommandEvent&)
 	case 4:
 		CmdLine += wxT(" -plutonia");
 		break;
-	case 5:
+    case 5:
+        CmdLine += wxT(" -freedoom");
+        break;
+	case 6:
 		CmdLine += wxT(" -heretic");
 		break;
-	case 6:
+	case 7:
 		CmdLine += wxT(" -hexen");
 		break;
-	case 7:
+	case 8:
 		CmdLine += wxT(" -strife");
 		break;
 	}
